Edit a sprint

The request allows you to edit sprint parameters.

PATCH

https://api.tracker.yandex.net/v3/sprints/

Request format

To edit a sprint, use the HTTP method PATCH:

PATCH /v3/sprints/<sprint_id>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
Content-Type: application/json
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
If-Match: "<sprint_version>"

{
  "name": "Updated Sprint Name",
  "startDate": "2024-01-15",
  "endDate": "2024-01-29",
  "status": "in_progress"
}
Headers
  • Host: The host address providing the API.

  • Authorization: Authorization token about these formats:

    • OAuth <OAuth_token>: For authorization using the OAuth 2.0 protocol. Learn more

    • Bearer <IAM_token>: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. Learn more

  • Content-Type: The request body format. Must be application/json.

  • X-Org-ID or X-Cloud-Org-ID: Organization ID.

    • Use the X-Org-ID header if a Tracker organization is linked to Yandex 360 for Business.

    • Use the X-Cloud-Org-ID header if a Tracker organization is linked to Yandex Cloud Organization.

    To get the organization ID, go to AdministrationOrganizations and copy the value from the ID field.

  • If-Match: The sprint version. Specify it to avoid losing changes during simultaneous editing. You can get the value of the version parameter in the response to the request for sprint information.

Resource
Parameter Description Data type
<sprint_id> Sprint ID. String
Request body parameters
Parameter Description Data type
name Sprint name. String
startDate Sprint start date in the format: YYYY-MM-DD String
endDate Sprint end date in the format: YYYY-MM-DD String
status Sprint status.
Possible statuses:
  • draft — open;
  • in_progress — in progress;
  • released — released;
  • archived — archived.
String

Example: Edit a sprint

  • The HTTP method PATCH is used.
  • Edits parameters for the sprint with ID 44**.
  • The new sprint name is "Updated sprint".
  • The sprint start date is 2026-04-07.
  • The sprint end date is 2026-04-21.
  • The sprint status is "In progress".
  • The sprint version to prevent conflicts is 2.
PATCH /v3/sprints/44**
Host: api.tracker.yandex.net
Authorization: OAuth y0__xAbc******
Content-Type: application/json
X-Org-ID: 1234******
If-Match: "2"

{
  "name": "My sprint",
  "startDate": "2026-04-07",
  "endDate": "2026-04-21",
  "status": "in_progress"
}

Response format

If the request is successful, the API returns a response with code 200 OK.

The response body contains a JSON object with the updated sprint parameters.

{
  "self": "https://api.tracker.yandex.net/v3/sprints/44**",
  "id" : 44**,
  "version" : 1435288720019,
  "name" : "Updated Sprint Name",
  "board" : {
    "self": "https://api.tracker.yandex.net/v3/boards/3",
    "id" : "3",
    "display" : "My board"
  },
  "status" : "draft",
  "archived" : false,
  "createdBy" : {
    "self": "https://api.tracker.yandex.net/v3/users/33********",
    "id" : "33********",
    "display" : "User Name"
  },
  "createdAt" : "2024-08-22T21:49:33.570+0000",
  "startDate" : "2026-04-07",
  "endDate" : "2026-04-10",
  "startDateTime": "2026-04-07T00:00:00.000+0000",
  "endDateTime": "2026-04-10T00:00:00.000+0000"
}
Response parameters
Parameter Description Data type
self The address of the API resource that contains the sprint parameters. String
id Sprint ID. Number
version Sprint version. Each change to the sprint increments the version number. Number
name Sprint name. String
board An object with information about the board whose issues the sprint relates to. Object
status Sprint status.
Possible statuses:
  • draft — open;
  • in_progress — in progress;
  • released — released;
  • archived — archived.
String
archived Whether the sprint is archived:
  • true — the sprint is archived;
  • false — the sprint is active.
Boolean
createdBy An object with information about the sprint creator. Object
createdAt The date and time the sprint was created, in the format: YYYY-MM-DDThh:mm:ss.sss±hhmm String
startDate Sprint start date in the format: YYYY-MM-DD String
endDate Sprint end date in the format: YYYY-MM-DD String
startDateTime The actual sprint start date and time in the format: YYYY-MM-DDThh:mm:ss.sss±hhmm String
endDateTime The actual sprint end date and time in the format: YYYY-MM-DDThh:mm:ss.sss±hhmm String

Object fields board

Parameter Description Data type
self The address of the API resource that contains information about the board. String
id Board ID. String
display The display name of the board. String

Object fields createdBy

Parameter Description Data type
self The address of the API resource that contains information about the user. String
id User ID. String
display The user's display name. String

If the request couldn't be processed successfully, the response contains information about the errors that occurred:

400
One or more request parameters have an invalid value.
403
You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
404
The requested object was not found. You may have specified an invalid object ID or key.
500
Internal service error. Try again later.
503
The API service is temporarily unavailable.